@import 'variables';

:host {
  width: 100%;
  background-color: $white;
  min-height: calc(100vh - 118px);
}

.content {
  padding: 40px;
}

gng-spinner {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
}

.job-group {
  &__description {
    display: inline-flex;
    height: 30px;
    margin-bottom: 10px;
    font-style: italic;
    color: $gray-medium;
  }
}

.job-group-header {
  background-color: $gray-lightest;

  &:hover {
    background-color: $gray-lightest;
  }

  &:focus {
    background-color: $gray-lightest;
  }

  &__title {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    flex-grow: 3;
    flex-basis: 60%;
  }

  &__description {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    flex-shrink: 1;
    flex-grow: 2;
    flex-basis: 40%;
  }
}

.no-jobs {
  color: $gray-medium;

  &__create-new {
    color: $gray-darker;
    text-decoration: underline;
  }
}

.paginator {
  margin-top: 5px;
}
